listofkeyrings-class {planor} | R Documentation

## Class listofkeyrings

### Description

An S4 class to store design key solutions when there is only one prime involved or when the solutions are independent between primes.

### Objects from the Class

Objects are created by `planor.designkey`, when the case is not recursive.

### Slots

.Data

  a list of objects of class `keyring` associated with different primes.

factors

  an object of class `designfactors` which contains the factors specifications.

model

  a list which contains the model and estimate specifications.

nunits

  the number of units of the design.

### Extends

Class `list`, from data part. Class `vector`, by class list, distance 2.

### Methods

alias

  give the aliasing for each key-matrix. See `alias` method.

[

  extract one design key by taking one key matrix per prime.

pick

  extract one design key by taking one key matrix per prime. See `pick` method.

planor.design

  build a design using one key matrix per prime. See `planor.design` method.

show

  display the object. See `show` method.

summary

  summarize the design properties from `object`. See `summary` method.

### Author(s)

Monod, H. and Bouvier, A.

### See Also

Creator function: `planor.designkey`

### Examples

    showClass("listofkeyrings")
    ### Creation of a listofkeyrings object
    K0 <- planor.designkey(factors=c(LETTERS[1:4], "block"), nlevels=rep(3,5),
       model=~block+(A+B+C+D)^2, estimate=~A+B+C+D,
       nunits=3^3, base=~A+B+C, max.sol=2)
    show(K0)

[Package planor version 1.5-1 Index]